! @(#)veriall.prg	17.1.1.1 (ESO-IPG) 01/25/02 17:59:43 
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
!
!  MIDAS procedure veriall.prg  to execute all the "verify" procedures
!  K. Banse     921202, 940203, 950906, 970618, 980309, 011211
!
! ++++++++++++++++++++++++++++++++++++++++++++++++++++++
! 
define/param p1 Display c "Enter NoDisplay or Display (the default):"
if p1(1:1) .eq. "D" then
   write/keyw dispflg/i/1/1 1
else
   write/keyw dispflg/i/1/1 0
endif
! 
define/param p2 No c -
"Enter Yes, if automatic run (i.e. no manual input required):"
if p2(1:1) .eq. "Y" then
   write/keyword alltutos/i/1/1 1
endif
! 
define/param p3 No c "Enter No (the default) or Yes to execute -
the verifications also within the FITS environment:"
if p3(1:1) .ne. "N" then	
   write/keyw fitsyes/i/1/1 1
else
   write/keyw fitsyes/i/1/1 0
endif
!
write/keyw times/i/1/5 0 all
times(1) = m$secs()
set/format i1
set/midas workenv=midas
! 
FITSloop:
! 
@@ verify1 
if stop .eq. 1 return/exit
! 
@@ verify2 {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify3 
if stop .eq. 1 return/exit
! 
@@ verify4 {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify5 {dispflg}111111 1111111111111
if stop .eq. 1 return/exit
! 
@@ verify6 {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify7  {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify8  {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verifyt1 
if stop .eq. 1 return/exit
! 
@@ verifyt2 
if stop .eq. 1 return/exit
! 
@@ verifydio
if stop .eq. 1 return/exit
! 
@@ verify99  {dispflg}1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify9  1111111111 111111111111
if stop .eq. 1 return/exit
! 
@@ verify10  {dispflg}11111111
if stop .eq. 1 return/exit
! 
@@ verify11  {dispflg}11111111011 
if stop .eq. 1 return/exit
! 
@@ verify12  {dispflg}1111111111 
! 
if fitsyes .eq. 1 then
   fitsyes = 0				!only loop once
   set/midas workenv=fits
   write/out
   write/out *********************************************************
   write/out *********************************************************
   write/out *********************************************************
   write/out
   write/out
   write/out Now we do the verifications using all files in FITS format
   write/out
   write/out
   write/out *********************************************************
   write/out *********************************************************
   write/out *********************************************************
   write/out
   goto FITSloop
endif
! 
set/midas workenv=midas
! 
times(2) = m$secs()-times(1)
set/format i1
times(3) = times(2)/60
times(4) = times(2)-times(3)*60
write/out 
write/out -
"successful end of verification loop (elapsed time: {times(3)}m {times(4)}s)"
